> ## Name

> Lighting - 3D API light enable

> ## Usage

> Lighting = bool(enable)

> ## Valid Enumerants

> enable: true, false

> ## Description

> Enable/disable a light for use in the lighting computations. See the IDirect3DDevice9::SetLight method for details.

> The standard reset callback sets the Lighting state to bool(false).

> ## Opengl Functionality Requirements

> Not applicable.

> ## Direct3D Functionality Requirements

> DirectX 9

> ## See Also

> LightEnable, LightAmbient, LightAttenuation0, LightAttenuation1, LightAttenuation2, LightConstantAttenuation, LightDiffuse, LightDirection, LightEnable, LightFalloff, LightLinearAttenuation, LightModelAmbient, LightModelColorControl, LightModelLocalViewerEnable, LightModelTwoSideEnable, LightPhi, LightPosition, LightQuadraticAttenuation, LightRange, LightSpecular, LightSpotCutoff, LightSpotDirection, LightSpotExponent, LightTheta, LightType, LightingEnable